<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<!--Created by IRIS Business Services Ltd., Powered by IRIS Carbon, Unique Code 6408b35654148f1594efda45, Generated At Wed, 08 Mar 2023 16:12:42 GMT-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xbrli="http://www.xbrl.org/2003/instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" xlink:label="ImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" xlink:title="ImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" />
    <link:label xlink:type="resource" xlink:label="label_ImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_ImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" xml:lang="en-US" id="label_ImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss">Impairment loss (reversal of impairment loss) recognised in profit or loss</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" xlink:to="label_ImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" xlink:title="Label : ImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss to label_ImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForReconcileProfitLoss" xlink:label="AdjustmentsForReconcileProfitLoss" xlink:title="AdjustmentsForReconcileProfitLoss" />
    <link:label xlink:type="resource" xlink:label="label_AdjustmentsForReconcileProfitLoss" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_AdjustmentsForReconcileProfitLoss" xml:lang="en-US" id="label_AdjustmentsForReconcileProfitLoss">Adjustments to reconcile profit (loss)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForReconcileProfitLoss" xlink:to="label_AdjustmentsForReconcileProfitLoss" xlink:title="Label : AdjustmentsForReconcileProfitLoss to label_AdjustmentsForReconcileProfitLoss" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperations" xlink:label="CashFlowsFromUsedInOperations" xlink:title="CashFlowsFromUsedInOperations" />
    <link:label xlink:type="resource" xlink:label="label_CashFlowsFromUsedInOperations" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_CashFlowsFromUsedInOperations" xml:lang="en-US" id="label_CashFlowsFromUsedInOperations">Cash flows from (used in) operations</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashFlowsFromUsedInOperations" xlink:to="label_CashFlowsFromUsedInOperations" xlink:title="Label : CashFlowsFromUsedInOperations to label_CashFlowsFromUsedInOperations" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_InterestReceivedClassifiedAsInvestingActivities" xlink:label="InterestReceivedClassifiedAsInvestingActivities" xlink:title="InterestReceivedClassifiedAsInvestingActivities" />
    <link:label xlink:type="resource" xlink:label="label_InterestReceivedClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_InterestReceivedClassifiedAsInvestingActivities" xml:lang="en-US" id="label_InterestReceivedClassifiedAsInvestingActivities">Interest received, classified as investing activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="InterestReceivedClassifiedAsInvestingActivities" xlink:to="label_InterestReceivedClassifiedAsInvestingActivities" xlink:title="Label : InterestReceivedClassifiedAsInvestingActivities to label_InterestReceivedClassifiedAsInvestingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_InterestReceivedClassifiedAsOperatingActivities" xlink:label="InterestReceivedClassifiedAsOperatingActivities" xlink:title="InterestReceivedClassifiedAsOperatingActivities" />
    <link:label xlink:type="resource" xlink:label="label_InterestReceivedClassifiedAsOperatingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_InterestReceivedClassifiedAsOperatingActivities" xml:lang="en-US" id="label_InterestReceivedClassifiedAsOperatingActivities">Interest received, classified as operating activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="InterestReceivedClassifiedAsOperatingActivities" xlink:to="label_InterestReceivedClassifiedAsOperatingActivities" xlink:title="Label : InterestReceivedClassifiedAsOperatingActivities to label_InterestReceivedClassifiedAsOperatingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProceedsFromSalesOrMaturityOfFinancialInstrumentsClassifiedAsInvestingActivities" xlink:label="ProceedsFromSalesOrMaturityOfFinancialInstrumentsClassifiedAsInvestingActivities" xlink:title="ProceedsFromSalesOrMaturityOfFinancialInstrumentsClassifiedAsInvestingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ProceedsFromSalesOrMaturityOfFinancialInstrumentsClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_ProceedsFromSalesOrMaturityOfFinancialInstrumentsClassifiedAsInvestingActivities" xml:lang="en-US" id="label_ProceedsFromSalesOrMaturityOfFinancialInstrumentsClassifiedAsInvestingActivities">Proceeds from sales or maturity of financial instruments, classified as investing activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProceedsFromSalesOrMaturityOfFinancialInstrumentsClassifiedAsInvestingActivities" xlink:to="label_ProceedsFromSalesOrMaturityOfFinancialInstrumentsClassifiedAsInvestingActivities" xlink:title="Label : ProceedsFromSalesOrMaturityOfFinancialInstrumentsClassifiedAsInvestingActivities to label_ProceedsFromSalesOrMaturityOfFinancialInstrumentsClassifiedAsInvestingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities" xlink:label="PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities" xlink:title="PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities" />
    <link:label xlink:type="resource" xlink:label="label_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities" xml:lang="en-US" id="label_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities">Purchase of financial instruments, classified as investing activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities" xlink:to="label_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities" xlink:title="Label : PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities to label_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities" />
  </link:labelLink>
</link:linkbase>